<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwConfigs: fwPeriphAddressBACnet.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwPeriphAddressBACnet_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwPeriphAddressBACnet.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9f2df768700c4f400c94aade8b0bc805"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a9f2df768700c4f400c94aade8b0bc805">_fwPeriphAddressBACnet_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_anytype addressConfig, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="memdesc:a9f2df768700c4f400c94aade8b0bc805"><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal function to setup the BACnet addressing.  <a href="#a9f2df768700c4f400c94aade8b0bc805">More...</a><br/></td></tr>
<tr class="separator:a9f2df768700c4f400c94aade8b0bc805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a895fa96f8cae1679430a26df95e4e86a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a895fa96f8cae1679430a26df95e4e86a">_fwPeriphAddressBACNET_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_anytype addressConfig, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a895fa96f8cae1679430a26df95e4e86a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c4030693072da83d66cdd2d96f5377"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a33c4030693072da83d66cdd2d96f5377">_fwPeriphAddressBACnet_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_anytype &amp;addressConfig, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="memdesc:a33c4030693072da83d66cdd2d96f5377"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve configuration from _address config for BACnet.  <a href="#a33c4030693072da83d66cdd2d96f5377">More...</a><br/></td></tr>
<tr class="separator:a33c4030693072da83d66cdd2d96f5377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a680525f815fcbb0729d42c3ed6b95e99"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a680525f815fcbb0729d42c3ed6b95e99">_fwPeriphAddressBACNET_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_anytype &amp;addressConfig, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a680525f815fcbb0729d42c3ed6b95e99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f7e7f9ba4a3cf3cae72fd6e5ee6f5c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a0f7e7f9ba4a3cf3cae72fd6e5ee6f5c1">_fwPeriphAddressBACnet_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="memdesc:a0f7e7f9ba4a3cf3cae72fd6e5ee6f5c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal function to cleanup before deleting the BACnet _address and _distrib configs TODO: create function body.  <a href="#a0f7e7f9ba4a3cf3cae72fd6e5ee6f5c1">More...</a><br/></td></tr>
<tr class="separator:a0f7e7f9ba4a3cf3cae72fd6e5ee6f5c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4683ac238ac9564ae929ffcfb0ed1af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#ac4683ac238ac9564ae929ffcfb0ed1af">_fwPeriphAddressBACnet_check</a> (dyn_anytype &amp;addressConfig, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="memdesc:ac4683ac238ac9564ae929ffcfb0ed1af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to check and correct BACnet address configuration parameters before attempting to save them to the DP element.  <a href="#ac4683ac238ac9564ae929ffcfb0ed1af">More...</a><br/></td></tr>
<tr class="separator:ac4683ac238ac9564ae929ffcfb0ed1af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabe8d501d26292aa9cc0374b558e6dfb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#aabe8d501d26292aa9cc0374b558e6dfb">_fwPeriphAddressBACNET_check</a> (dyn_anytype &amp;addressConfig, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aabe8d501d26292aa9cc0374b558e6dfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89c4919c2b5c7f6367cb7186cf866dc0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a89c4919c2b5c7f6367cb7186cf866dc0">_fwPeriphAddressBACnet_isDataTypeValid</a> (string dataType)</td></tr>
<tr class="separator:a89c4919c2b5c7f6367cb7186cf866dc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8afae944b93c88aa111e01bc8b3057ff"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a8afae944b93c88aa111e01bc8b3057ff">_fwPeriphAddressBACnet_isReferenceValid</a> (string reference)</td></tr>
<tr class="separator:a8afae944b93c88aa111e01bc8b3057ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ba96e8a3c6b8329a30a6a221308baf8"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a7ba96e8a3c6b8329a30a6a221308baf8">_fwPeriphAddressBACnet_explodeReference</a> (string reference)</td></tr>
<tr class="separator:a7ba96e8a3c6b8329a30a6a221308baf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf7c28aba6810ad5fd1278e5c511725f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#aaf7c28aba6810ad5fd1278e5c511725f">_fwPeriphAddressBACnet_isDeviceValid</a> (string device)</td></tr>
<tr class="separator:aaf7c28aba6810ad5fd1278e5c511725f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac562a96197b3620e5e5f6b30c48d98df"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#ac562a96197b3620e5e5f6b30c48d98df">_fwPeriphAddressBACnet_isObjectIdValid</a> (string objectId)</td></tr>
<tr class="separator:ac562a96197b3620e5e5f6b30c48d98df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f38bc3b71938e8ae5fe351627dd04c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a62f38bc3b71938e8ae5fe351627dd04c">_fwPeriphAddressBACnet_isPropertyValid</a> (string object, string property)</td></tr>
<tr class="separator:a62f38bc3b71938e8ae5fe351627dd04c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c44f1a4a0935adb26b262b66b917456"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a0c44f1a4a0935adb26b262b66b917456">_fwPeriphAddressBACnet_isIndexValid</a> (string index)</td></tr>
<tr class="separator:a0c44f1a4a0935adb26b262b66b917456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b65654aecf90fc5647f84e1b0fa262d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a0b65654aecf90fc5647f84e1b0fa262d">_fwPeriphAddressBACnet_showTransformationTypes</a> ()</td></tr>
<tr class="separator:a0b65654aecf90fc5647f84e1b0fa262d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a092d3b4e7e9cd3d478b5c657112109c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a092d3b4e7e9cd3d478b5c657112109c0">_fwPeriphAddressBACnet_showObjectTypes</a> ()</td></tr>
<tr class="separator:a092d3b4e7e9cd3d478b5c657112109c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8106b20251dd63e4ecd6a694e1b0ec02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a8106b20251dd63e4ecd6a694e1b0ec02">_fwPeriphAddressBACnet_showDevices</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>)</td></tr>
<tr class="separator:a8106b20251dd63e4ecd6a694e1b0ec02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79ba4d53f98723cc61105592bad95acc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a79ba4d53f98723cc61105592bad95acc">_fwPeriphAddressBACnet_showPollingGroups</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>)</td></tr>
<tr class="separator:a79ba4d53f98723cc61105592bad95acc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3548cf88cbe57563e1718676644cd852"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a3548cf88cbe57563e1718676644cd852">_fwPeriphAddressBACnet_getModes</a> (int addressMode, int &amp;directionMode, int &amp;receiveMode)</td></tr>
<tr class="separator:a3548cf88cbe57563e1718676644cd852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e71049b77f139ef4a1eb1e8bb5294ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a0e71049b77f139ef4a1eb1e8bb5294ba">_fwPeriphAddressBACnet_showDeviceAddress</a> (string dp)</td></tr>
<tr class="separator:a0e71049b77f139ef4a1eb1e8bb5294ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91c73be92e9d89e8b21d7c22e76186dd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a91c73be92e9d89e8b21d7c22e76186dd">_fwPeriphAddressBACnet_showObjectProperties</a> (string objectType)</td></tr>
<tr class="separator:a91c73be92e9d89e8b21d7c22e76186dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abee25af2271234eae8c8c29bc02a7825"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#abee25af2271234eae8c8c29bc02a7825">_fwPeriphAddressBACnet_setIOMode</a> (int directionMode, int receiveMode)</td></tr>
<tr class="separator:abee25af2271234eae8c8c29bc02a7825"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a7ca8882ca7a1999983d6394a91c29eac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ca8882ca7a1999983d6394a91c29eac"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a7ca8882ca7a1999983d6394a91c29eac">fwPeriphAddress_BACNET_REF_MIN_ELEM_NO</a> = 4</td></tr>
<tr class="memdesc:a7ca8882ca7a1999983d6394a91c29eac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator used in reference _address field. <br/></td></tr>
<tr class="separator:a7ca8882ca7a1999983d6394a91c29eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7898fb0fc2cffa61805eef7e63da3377"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7898fb0fc2cffa61805eef7e63da3377"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a7898fb0fc2cffa61805eef7e63da3377">fwPeriphAddress_BACNET_REF_MAX_ELEM_NO</a> = 5</td></tr>
<tr class="memdesc:a7898fb0fc2cffa61805eef7e63da3377"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimum number of elements in reference _address field. <br/></td></tr>
<tr class="separator:a7898fb0fc2cffa61805eef7e63da3377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a459d413409664cb472da7fa8af4034b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a459d413409664cb472da7fa8af4034b1"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a459d413409664cb472da7fa8af4034b1">fwPeriphAddress_BACNET_REF_DEV_IDX</a> = 1</td></tr>
<tr class="memdesc:a459d413409664cb472da7fa8af4034b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of elements in reference _address field. <br/></td></tr>
<tr class="separator:a459d413409664cb472da7fa8af4034b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1afd83504c68c0be4ae614451395e19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1afd83504c68c0be4ae614451395e19"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#ad1afd83504c68c0be4ae614451395e19">fwPeriphAddress_BACNET_REF_OBJ_TYPE_IDX</a> = 2</td></tr>
<tr class="memdesc:ad1afd83504c68c0be4ae614451395e19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Index for device name in peripheral address. <br/></td></tr>
<tr class="separator:ad1afd83504c68c0be4ae614451395e19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569b8aa32809fc4a2e870804df85255c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a569b8aa32809fc4a2e870804df85255c"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a569b8aa32809fc4a2e870804df85255c">fwPeriphAddress_BACNET_REF_OBJ_ID_IDX</a> = 3</td></tr>
<tr class="memdesc:a569b8aa32809fc4a2e870804df85255c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Index for object type in peripheral address. <br/></td></tr>
<tr class="separator:a569b8aa32809fc4a2e870804df85255c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb23956d0fd3448f01831d1708557f08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb23956d0fd3448f01831d1708557f08"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#aeb23956d0fd3448f01831d1708557f08">fwPeriphAddress_BACNET_REF_PROP_IDX</a> = 4</td></tr>
<tr class="memdesc:aeb23956d0fd3448f01831d1708557f08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Index for object id in peripheral address. <br/></td></tr>
<tr class="separator:aeb23956d0fd3448f01831d1708557f08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af73281b7dac840aea33eae905b3b98f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af73281b7dac840aea33eae905b3b98f0"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#af73281b7dac840aea33eae905b3b98f0">fwPeriphAddress_BACNET_REF_IDX_IDX</a> = 5</td></tr>
<tr class="memdesc:af73281b7dac840aea33eae905b3b98f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Index for property in peripheral address. <br/></td></tr>
<tr class="separator:af73281b7dac840aea33eae905b3b98f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a612c73352d5116fa417edaaac082c2c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a612c73352d5116fa417edaaac082c2c6"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a612c73352d5116fa417edaaac082c2c6">fwPeriphAddress_BACNET_TYPE_DEFAULT</a> = 800</td></tr>
<tr class="memdesc:a612c73352d5116fa417edaaac082c2c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Index for property's index in peripheral address. <br/></td></tr>
<tr class="separator:a612c73352d5116fa417edaaac082c2c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06c14f414813f6bb7af33929e1bd0b67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06c14f414813f6bb7af33929e1bd0b67"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a06c14f414813f6bb7af33929e1bd0b67">fwPeriphAddress_BACNET_TYPE_BOOL</a> = 801</td></tr>
<tr class="memdesc:a06c14f414813f6bb7af33929e1bd0b67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default. <br/></td></tr>
<tr class="separator:a06c14f414813f6bb7af33929e1bd0b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedb3681f21506c8dfb09425ff46897c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedb3681f21506c8dfb09425ff46897c6"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#aedb3681f21506c8dfb09425ff46897c6">fwPeriphAddress_BACNET_TYPE_UINT</a> = 802</td></tr>
<tr class="memdesc:aedb3681f21506c8dfb09425ff46897c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boolean. <br/></td></tr>
<tr class="separator:aedb3681f21506c8dfb09425ff46897c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7aed6f8b03353c7467e4e39476a5c89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7aed6f8b03353c7467e4e39476a5c89"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#ad7aed6f8b03353c7467e4e39476a5c89">fwPeriphAddress_BACNET_TYPE_INT</a> = 803</td></tr>
<tr class="memdesc:ad7aed6f8b03353c7467e4e39476a5c89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unsigned Integer. <br/></td></tr>
<tr class="separator:ad7aed6f8b03353c7467e4e39476a5c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6589f7af0c130701a77dd4d00d0fc0ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6589f7af0c130701a77dd4d00d0fc0ed"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a6589f7af0c130701a77dd4d00d0fc0ed">fwPeriphAddress_BACNET_TYPE_REAL</a> = 804</td></tr>
<tr class="memdesc:a6589f7af0c130701a77dd4d00d0fc0ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Signed Integer. <br/></td></tr>
<tr class="separator:a6589f7af0c130701a77dd4d00d0fc0ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae86670f64105531417a049bf9f3e58bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae86670f64105531417a049bf9f3e58bb"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#ae86670f64105531417a049bf9f3e58bb">fwPeriphAddress_BACNET_TYPE_DOUBLE</a> = 805</td></tr>
<tr class="memdesc:ae86670f64105531417a049bf9f3e58bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Real. <br/></td></tr>
<tr class="separator:ae86670f64105531417a049bf9f3e58bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06771857f15ec4d9eb6861d475bae471"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06771857f15ec4d9eb6861d475bae471"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a06771857f15ec4d9eb6861d475bae471">fwPeriphAddress_BACNET_TYPE_ENUM</a> = 809</td></tr>
<tr class="memdesc:a06771857f15ec4d9eb6861d475bae471"><td class="mdescLeft">&#160;</td><td class="mdescRight">Double. <br/></td></tr>
<tr class="separator:a06771857f15ec4d9eb6861d475bae471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0011d3d821ab484be2195d06045505fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0011d3d821ab484be2195d06045505fa"></a>
const dyn_int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a0011d3d821ab484be2195d06045505fa">fwPeriphAddress_BACNET_TYPES</a></td></tr>
<tr class="memdesc:a0011d3d821ab484be2195d06045505fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerated. <br/></td></tr>
<tr class="separator:a0011d3d821ab484be2195d06045505fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Functions to set _address config for datapoint for BACnet driver.</p>
<p>Naming: when possible names used in WinCC OA help are used (e.g. "reference" is preferred over "address"). FW_PARAMETER_FIELD_AAABBB constants are used, not the fwPeriphAddress_AAABBB (who know which one is correct?). TODO: it would be better to switch to fwPeriphAddress_AAABBB as everybody else is using it.</p>
<p>Note that config identifier is "BACnet", but the driver uses "BACNET", in some cases it might cause confusion, that's why there are wrapper functions using "BACNET" have been added. Probably it was better to use "BACNET" from the start even though it's not correct...</p>
<p>Initial code was written based on WinCC OA help file on BACnet and _address config entry. Other things were taken from BACnet examples (BACnet_Samples.dpl in dplist directory of BACnet directory in WinCC OA installation, look for "PeriphAddrMain"). Also panels:</p>
<ul>
<li>panels/para/address_bacnet.pnl (used to set _address),</li>
<li>panels/para/bacnet.pnl (to create/setup a device; might not be used here). Note: version WinCC OA 3.11 was used.</li>
</ul>
<p>Table for _datatype. Help only defines 800, but these values were used in various places: 800 default 801 Boolean 802 UnsignedInteger 803 SignedInteger 804 Real 805 Double 809 Enumerated 806 skipped, see bacnetDrvPara.ctl, line 740 Valid IDs: 800-899.</p>
<p>Code based on other fwPeriphAddressAAABB.ctl files.</p>
<p>Note that setting _address is not enough to make it work appriopriate BACnet device datapoint has to exist (_BacnetDevice).</p>
<p>Changelog (put only important stuff here):</p>
<ul>
<li>2016-01-12: added wrappers for BACNET (lgoralcz &amp; msudera)</li>
<li>2015-12-08: fixes (lgoralcz)</li>
<li>2015-11-30: initial creation (lgoralcz) </li>
</ul>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a9f2df768700c4f400c94aade8b0bc805"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Internal function to setup the BACnet addressing. </p>
<dl class="section user"><dt>Constraints</dt><dd>Should only be called from fwPeriphAddress_set</dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000004">Reviewed:</a></b></dt><dd>2018-06-21 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-fwPeriphAddressExtension">fwPeriphAddressExtension</a></dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>Datapoint element to act on </td></tr>
    <tr><td class="paramname">addressConfig</td><td>Address object is passed here: <br/>
<br/>
 </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a895fa96f8cae1679430a26df95e4e86a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACNET_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is to fix problem with different config type identifier ("BACnet") and different driver identifier ("BACNET"). This function is just a wrapper around "proper" function. Proper BACnet name is "BACnet", but for whatever reason driver uses (and some of our panels use this information /fwPeriphAddress.pnl/) "BACNET". </p>

</div>
</div>
<a class="anchor" id="a33c4030693072da83d66cdd2d96f5377"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>isActive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve configuration from _address config for BACnet. </p>
<dl class="section user"><dt>Constraints</dt><dd>Should only be called from fwPeriphAddress_get</dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000005">Reviewed:</a></b></dt><dd>2018-06-21 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-fwPeriphAddressExtension">fwPeriphAddressExtension</a></dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>Datapoint element to read from </td></tr>
    <tr><td class="paramname">addressConfig</td><td>Address object is returned here (configParameters). </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See Also</dt><dd><a class="el" href="fwPeriphAddressBACnet_8ctl.html#a9f2df768700c4f400c94aade8b0bc805" title="Internal function to setup the BACnet addressing. ">_fwPeriphAddressBACnet_set()</a> </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isActive</td><td>TRUE if address config is active, else FALSE </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a680525f815fcbb0729d42c3ed6b95e99"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACNET_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>isActive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is to fix problem with different config type identifier ("BACnet") and different driver identifier ("BACNET"). This function is just a wrapper around "proper" function. Proper BACnet name is "BACnet", but for whatever reason driver uses (and some of our panels use this information /fwPeriphAddress.pnl/) "BACNET". </p>

</div>
</div>
<a class="anchor" id="a0f7e7f9ba4a3cf3cae72fd6e5ee6f5c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPeriphAddressBACnet_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Internal function to cleanup before deleting the BACnet _address and _distrib configs TODO: create function body. </p>
<dl class="section user"><dt>Constraints</dt><dd>Should only be called from fwPeriphAddress_delete <br/>
 </dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000006">Reviewed:</a></b></dt><dd>2018-06-21 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-fwPeriphAddressExtension">fwPeriphAddressExtension</a></dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>Datapoint element to read from </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac4683ac238ac9564ae929ffcfb0ed1af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_check </td>
          <td>(</td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to check and correct BACnet address configuration parameters before attempting to save them to the DP element. </p>
<p>Note: in other cases this function is public (no "_" prefix), but there's no reason why to make it private.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">addressConfig</td><td>The address configuration object is passed here. In some cases, an amended (fixed) version may be returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of errors in the address configuration are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aabe8d501d26292aa9cc0374b558e6dfb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACNET_check </td>
          <td>(</td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>addressConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is to fix problem with different config type identifier ("BACnet") and different driver identifier ("BACNET"). This function is just a wrapper around "proper" function. Proper BACnet name is "BACnet", but for whatever reason driver uses (and some of our panels use this information /fwPeriphAddress.pnl/) "BACNET".</p>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000007">Reviewed:</a></b></dt><dd>2018-06-21 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-fwPeriphAddressExtension">fwPeriphAddressExtension</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a89c4919c2b5c7f6367cb7186cf866dc0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwPeriphAddressBACnet_isDataTypeValid </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dataType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Validate datatype.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dataType</td><td>(string) IN datatype (as string), ex. "800". </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value of type 'bool' true if datatype is acceptable, false if not </dd></dl>

</div>
</div>
<a class="anchor" id="a8afae944b93c88aa111e01bc8b3057ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwPeriphAddressBACnet_isReferenceValid </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>reference</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Validate BACnet address reference.</p>
<p>Example reference: "Device_6789.AnalogInput.1.Min_Pres_Value" or: "Device_6789.BinaryValue.3.Reliability.2". Note: last element is optional.</p>
<p>&lt;Device&gt;.&lt;Object_Type&gt;.&lt;Object_Id&gt;.&lt;Property&gt;.&lt;Index /optional/&gt;</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">reference</td><td>(string) IN BACnet address reference </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value of type 'bool' true if address is valid, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a7ba96e8a3c6b8329a30a6a221308baf8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string _fwPeriphAddressBACnet_explodeReference </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>reference</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Explodes string representing BACnet reference. *</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">reference</td><td>(string) IN BACnet reference string, ex. " </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value of type 'dyn_string' List of elements (ex. BACnet device, object id, etc.) or empty list if string was invalid </dd></dl>

</div>
</div>
<a class="anchor" id="aaf7c28aba6810ad5fd1278e5c511725f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwPeriphAddressBACnet_isDeviceValid </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check if a given BACnet device exists in the configuration.</p>
<p>This function simply check if a datapoint of a given name and type "_BacnetDevice" exists.</p>
<p>TODO: stub, returns always true</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">device</td><td>(string) IN BACnet device name </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value of type 'bool' True if device exits, false if BACnet device doesn't exist </dd></dl>

</div>
</div>
<a class="anchor" id="ac562a96197b3620e5e5f6b30c48d98df"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwPeriphAddressBACnet_isObjectIdValid </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>objectId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check if BACnet object ID is valid for _reference element.</p>
<p>Note, this does not check if an object id really exists in the device, only if it is correct, i.e. a number.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">objectId</td><td>(string) IN BACnet object id </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value of type 'bool' true if valid BACnet object id, false if not valid </dd></dl>

</div>
</div>
<a class="anchor" id="a62f38bc3b71938e8ae5fe351627dd04c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwPeriphAddressBACnet_isPropertyValid </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>property</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check if BACnet object's property is valid for _reference element.</p>
<p>Note1: that cat file that is being used is not the same cat file that is used to store translated messages ("msg" directory). Note2: code based on one of the WinCC OA BACnet libraries.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>(string) IN BACnet object's property </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value of type 'bool' true if property is valid, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a0c44f1a4a0935adb26b262b66b917456"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwPeriphAddressBACnet_isIndexValid </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check if given BACnet object's property index is valid.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>(string) IN object's property index </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value of type 'bool' true if BACnet object's property index is valid, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a0b65654aecf90fc5647f84e1b0fa262d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_showTransformationTypes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function shows BACnet transformation types in 'transformation_BACnet' combobox. </p>

</div>
</div>
<a class="anchor" id="a092d3b4e7e9cd3d478b5c657112109c0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_showObjectTypes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function finds BACnet Object Types and shows in the 'objectType_BACnet' combobox. </p>

</div>
</div>
<a class="anchor" id="a8106b20251dd63e4ecd6a694e1b0ec02"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_showDevices </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function finds BACnet devices available for given DPE and shows in the 'device_BACnet' combobox.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>Data point element for which available BACnet devices should be found </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a79ba4d53f98723cc61105592bad95acc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_showPollingGroups </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function finds the polling groups stored in dp and shows in the 'pollGroupName_BACnet' combobox.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>Data point element with device name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3548cf88cbe57563e1718676644cd852"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_getModes </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addressMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>directionMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>receiveMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function reads Direction and Receive Mode flags from the "_address.._mode" property</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">addressMode</td><td>value of "_address.._mode" property of dpe </td></tr>
    <tr><td class="paramname">directionMode</td><td>returned Direction flag </td></tr>
    <tr><td class="paramname">receiveMode</td><td>returned Receive Mode flag </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0e71049b77f139ef4a1eb1e8bb5294ba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_showDeviceAddress </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function reads the IP address and port of given BACnet server (device) and shows them.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dp</td><td>BACnet device data point </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a91c73be92e9d89e8b21d7c22e76186dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_showObjectProperties </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>objectType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function finds list of Properties for given BACnet Object Types and shows them in the property_BACnet combobox.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">objectType</td><td>Object Type for which list of properties has to be found </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abee25af2271234eae8c8c29bc02a7825"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwPeriphAddressBACnet_setIOMode </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>directionMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>receiveMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function controls enabling of objects in Receive Mode and Polling Group frames on the panel depending on the choosen Direction and Receive Mode.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">directionMode</td><td>direction mode (Output, Input, Input/Output) </td></tr>
    <tr><td class="paramname">receiveMode</td><td>receive mode (Unsolicited, Polling, Single Query, Alarm) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwPeriphAddressBACnet_8ctl.html">fwPeriphAddressBACnet.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
